﻿/* Meldinger - sikker kommunikasjon */
/* NB - fila ddSendMessages.css gjelder Meldinger i Time og Attestasjon */

/* Uleste meldinger liste fra MinSide ikon i topplinja */
.ddSecureMessagesContainer {
    float: right;
    margin: 8px 50px 0 0;
    position:relative;
}

.ddMessagesContainer {
    float: left;
}

.ddMessagesContainer.ddMessagesIconWithCount {
    float: left;
    padding-top: 4px;
    margin-top: -7px;
}

.ddMessagesContainer .ddMessagesIcon {
    background-image: url(../../../../shared/content/img/Messages_icon.svg);
    background-repeat:no-repeat;
    float: left;
    width: 34px;
    height:32px;
    margin: -9px 0 0 3px;
    cursor: pointer;
}

.ddMessagesContainer.ddMessagesIconWithCount .ddMessagesIcon {
    background-image: url(../../../../shared/content/img/Messages_icon_width_count.svg);
    margin-top:-6px;
}

.ddMessagesContainer .ddMessagesCountText{
    display:none;
}

.ddMessagesContainer.ddMessagesIconWithCount .ddMessagesCountText{
    display:block;
    color:#fff;
    font-size:8px;
    position:absolute;
    left:17%;
    float:left;
}

.ddMessagesContainer .ddMessagesText {
    color: #fff;
    float: left;
    margin-left: 5px;
    cursor: pointer;
}

.ddMessagesContainer.ddMessagesIconWithCount .ddMessagesText {
    border-top-right-radius: 4px;
    border-bottom-right-radius:4px;
    padding: 2px 6px;
    margin: -1px 0 0 -6px;
}

.ddTopMenu .ddMessagesArrow {
    content: "";
    position: absolute;
    top: 33px;
    z-index: 9;
    width: 0;
    height: 0;
    border-width: 0 20px 20px 20px;
    border-style: solid;
    border-color: transparent transparent #fff transparent;
}

.k-window.messageInfoWindow {
    width: 350px;
    box-shadow: 0 9px 10px 0px rgba(128,128,128,0.3);
    border-style: none;
    position: absolute;
    right: 17%;
    top: 60px
}

.ddSecureMessagesUnreadListContainer .noUnreadMessages {
    margin: 10px 8px;
}

.ddSecureMessagesUnreadListContainer .messageList{
    float:left;
}

.ddSecureMessagesUnreadListContainer .messageList .k-virtual-scrollable-wrap {
    max-height: 220px;
}

.ddSecureMessagesUnreadListContainer h4 {
    margin: 8px 0 10px 8px;
    font-weight: normal;
}

.ddSecureMessagesUnreadListContainer .messageOuterContainer {
    border-bottom: 1px solid #cecece;
    padding: 12px 3%;
}

.ddSecureMessagesUnreadListContainer .messageOuterContainer:hover{
    cursor:pointer;
    background-color:#f1f2ef;
}

.ddSecureMessagesUnreadListContainer .messageContents {
    height: 40px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: 13px;
}

.ddSecureMessagesUnreadListContainer .messageContents p,
.ddSecureMessagesUnreadListContainer .messageContents h1,
.ddSecureMessagesUnreadListContainer .messageContents h2,
.ddSecureMessagesUnreadListContainer .messageContents h3,
.ddSecureMessagesUnreadListContainer .messageContents h4,
.ddSecureMessagesUnreadListContainer .messageContents h5,
.ddSecureMessagesUnreadListContainer .messageContents h6 {
    font-size: 13px;
    white-space: normal;
    overflow:hidden;
    margin: 0;
    font-weight:normal;
}

.ddSecureMessagesUnreadListContainer .messageMetadata {
    color: #9c9c9c;
    font-size:12px;
}

.ddSecureMessagesUnreadListContainer .showMoreChoicesContainer{
    margin:5px 8px;
}

.ddSecureMessagesUnreadListContainer a {
    font-weight: normal;
    margin: 10px 0 15px 0;
    float: left;
}

.ddSecureMessagesUnreadListContainer .showMoreChoices {
    float: left;
}

.ddSecureMessagesUnreadListContainer .addNewMessageButton {
    float: right;
    margin-top:10px;
    cursor: pointer;
}

.ddSecureMessagesUnreadListContainer .addNewMessageButton img {
    height: 30px;
}

.ddSecureMessagesUnreadListContainer .k-grid-header {
    display: none;
}
/* Slutt uleste meldinger liste */


/* Sikker kommunikasjon Meldingsdialoger */
.ddSecureMessageQuickReg .ddQuickRegContainer{
    padding:0 12px;
    font-family:inherit;
    font-size:14px;
}

.ddSecureMessageQuickReg .ddQuickRegContainer h4{
    margin:-15px 0 5px 0;
    float:left;
    width:100%;
}

.ddSecureMessageQuickReg .securePopupFirmName {
    color: #deab39; /* Spesiell visning av firmanavn i Handlingssenteret */
}

/* Meldingslista */
.ddSecureMessageQuickReg .messagesList {
    font-size: 13px;
    float: left;
    width: 100%;
    height: 300px;
    margin-bottom: 3%;
    border: 1px solid #dadada;
}

/* Editoren */
.ddSecureMessageQuickReg table.k-editor {
    float: left;
}

/* Vis flere valg */
.ddSecureMessageQuickReg .moreOptionsContainer {
    float: left;
    width: 100%;
    margin: 20px 0 15px 0;
}

.ddSecureMessageQuickReg .moreOptionsContainer a{
    float:left;
    font-weight:normal;
}

.ddSecureMessageQuickReg .moreOptionsContainer .ddinfomarker{
    float:left;
    margin-left:10px;
}

/* Send button */
.ddSecureMessageQuickReg .ddButtonContainer{
    float:left;
    width:100%;
    margin-bottom:10px;
}

.ddSecureMessageQuickReg .ddButtonContainer .k-button{
    float:left;
}

.ddSecureMessageQuickReg .ddButtonContainer a{
    float:left;
    margin:5px 0 0 20px;
}

/* Flere valg-gruppene */
.ddSecureMessageQuickReg .messageGroupContainer{
    float:left;
    width:100%;
}

.ddSecureMessageQuickReg .ddQuickRegContainer .ddQuickRegFieldInnerGroup {
    width: 28%;
    margin: 0 2%;
    height:100px;
}

.ddSecureMessageQuickReg .messageGroupContainer .messageGroup{
    float:left;
    width:100%;
}

.ddSecureMessageQuickReg .messageGroupContainer .messageGroup span {
    float: left;
}

.ddSecureMessageQuickReg .messageGroupContainer .messageGroup .ddRadioButton{
    float: left;
}

/* Spesielt for Endre meldingstype */
.ddSecureMessageQuickReg .ddQuickRegContainer .ddQuickRegFieldInnerGroup.changeMessageType {
    width: 100%;
    margin: 0 2%;
    height: 60px;
}

.ddSecureMessageQuickReg .messageGroupContainer .changeMessageType .messageGroup {
    width: unset;
}

.ddSecureMessageQuickReg .messageGroupContainer .changeMessageType .messageGroup span {
    margin-right:15px;
}

.ddSecureMessageQuickReg .messageGroupContainer .changeMessageType .messageGroup .ddRadioButton{
    float:left;
    margin-left:-1px;
}

/* Spesielt for autosøk ansatt */
.ddSecureMessageQuickReg .ddQuickRegContainer .ddQuickRegFieldInnerGroup.empty {
    width: 28%;
    margin: 0 2%;
    height: 30px;
}

.ddSecureMessageQuickReg .messageGroupContainer .ddQuickRegFieldInnerGroup.employeeSearch{
    float:left;
    width:50%;
    margin-top:5px;
    height:30px;
}

.ddSecureMessageQuickReg .messageGroupContainer .ddQuickRegFieldInnerGroup.employeeSearch .searchField{
    float:left;
}

.ddSecureMessageQuickReg .messageGroupContainer .ddQuickRegFieldInnerGroup.employeeSearch .k-button {
    border: none;
    background-color: transparent;
    color: transparent;
    outline: none;
    background-image: url(../../../../shared/content/img/Pluss_ikon_svart.svg);
    background-repeat: no-repeat;
    height: 16px;
    width: 16px;
    cursor: pointer;
    position: relative;
    float: left;
    margin-left: -20px;
    margin-top: 6px;
}
/* Slutt Spesielt for autosøk ansatt */

/* Samtale i meldingsliste */
/* Tilpasninger av k-grid i meldingslista */
.ddSecureMessageQuickReg .messagesList.k-grid td {
    border-bottom: 0;
    padding-top:2px;
    padding-bottom:2px;
}

.ddSecureMessageQuickReg .messagesList div.k-grid-header {
    border-bottom-width: 0;
    border-bottom: 0;
}

.ddSecureMessageQuickReg .messagesList.ddGrid .k-grid-content{
    padding-bottom:0;
}

.ddSecureMessageQuickReg .messagesList.k-grid tr:hover {
    background-color: transparent;
}

/* Enkeltmeldinger */
.ddSecureMessageQuickReg .messageContainer{
    margin-bottom:10px;
}

.ddSecureMessageQuickReg .messageDateLine{
    float:left;
    width:97%;
}

.ddSecureMessageQuickReg .messageDateLine hr{
    height:1px;
    width:42%;
    float:left;
    margin-top:8px;
}

.ddSecureMessageQuickReg .messageDateLine .date{
    float: left;
    margin: 0 2%;
    font-size: 12px;
    color: #787878;
}

.ddSecureMessageQuickReg .messageSender {
    color: #787878;
    font-style: italic;
    font-size: 12px;
    margin-left: 3px;
}

.ddSecureMessageQuickReg .messageBody {
    border-radius: 6px;
    padding: 2%;
    float: left;
    width: 96%;
    white-space: normal;
}

.ddSecureMessageQuickReg .messageContainerAuthoredByMe {
    width: 90%;
    float: right;
}

.ddSecureMessageQuickReg .messageAuthoredByMe {
    background: #f1dbaa;
}

.ddSecureMessageQuickReg .messageContainerAuthoredByOther {
    width: 90%;
    float: left;
}

.ddSecureMessageQuickReg .messageAuthoredByOther {
    background: #e2e2e2;
}

.ddSecureMessageQuickReg .messageContainerAuthoredByMe .messageDate{
    float:right;
    margin-right:3px;
}

/* Vedlegg */
.ddSecureMessageQuickReg .conversation-attachment-column {
    float: left;
    width: 100%;
    margin-top: 2px;
}

.ddSecureMessageQuickReg .conversation-attachment-row {
    float: left;
    width: 100%;
}

.ddSecureMessageQuickReg .conversation-attachment-header {
    margin-bottom: 3px;
    font-size: 12px;
    color: #787878;
    font-style: italic;
}

.ddSecureMessageQuickReg .conversation-attachment-header:after{
    content:":";
}

.ddSecureMessageQuickReg .conversation-document-name {
    float: left;
    width: 90%;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
}

.ddSecureMessageQuickReg .conversation-attachment-icon {
    width: 15px;
    float: left;
    margin-right: 5px;
}

.ddSecureMessageQuickReg .conversation-attachment-open-icon {
    width: 15px;
    float: right;
    margin-left: 10px;
}

.ddSecureMessageQuickReg .messageBody .ddMsgAppendixSend {
    margin-right: 3px;
    white-space: normal !important;
    display: none; /*TODO: Ikke sikker på om vi ønsker å vise de gamle linkene lenger.*/
}
/* Slutt Samtale i meldingsliste */

/* Opprett ny bruker dialog */
.ddSecurePopupCreateUser.ddQuickRegContainer h2{
    margin-left:0;
}

.ddSecurePopupCreateUser .header{
    float:left;
    margin-bottom:-20px;
}

.ddSecurePopupCreateUser .header .ddinfomarker{
    top:-32px;
    left:28px;
}

.ddSecurePopupCreateUser h5 {
    margin: 30px 0 -10px 0;
    float:left;
}

.ddSecurePopupCreateUser .ddQuickRegField{
    margin-left:0;
}

.ddSecurePopupCreateUser .ddButtonContainer{
    float:left;
    margin:30px 0 10px 0;
}

.ddSecurePopupCreateUser .ddButtonContainer a{
    margin-left:20px;
}
/* Slutt Opprett ny bruker dialog */

/* Dialog om at det ikke finnes meldingsbrukere */
.ddSecurePopupCreateUser .ddButtonContainer .secureMessageGreenButton {
    background-color: #0e3a2e;
    color: #fff;
}
/* Slutt Dialog om at det ikke finnes meldingsbrukere */


/* Vedlegg dialog */
.ddSecureMessageAppendixWindow.ddQuickRegContainer{
    padding:0 30px 30px 30px;
}

.ddSecureMessageAppendixWindow.ddQuickRegContainer h2 {
    margin-left: 0;
    margin-top: -9px;
}

.ddSecureMessageAppendixWindow .appendixLinkText{
    margin-top: 15px;
}

.ddSecureMessageAppendixWindow .appendixLinkText input{
    width: 100%;
}

.ddSecureMessageAppendixWindow .ddButtonContainer {
    float: left;
    width: 100%;
    margin: 20px 0 0 0;
}

.ddSecureMessageAppendixWindow .ddButtonContainer input[type=button]{
    width: 80px;
    margin-right: 20px;
    background-color: #0e3a2e;
    color: #fff;
}

/* Opplasting av vedlegg dialog */
.ddPendingMessageAttachmentUpload.ddQuickRegContainer{
    padding:20px;
}

.ddPendingMessageAttachmentUpload.ddQuickRegContainer h2{
    margin: -28px 0 0 0; 
}

.ddPendingMessageAttachmentUpload .ddGrid{
    margin:20px 0;
}

.ddPendingMessageAttachmentUpload .ddGrid .IconUploadProgress::before {
    content: "-> ";
    color: transparent;
    margin-right: 5px;
    background-image: url(../../img/RoundAnimation20px.gif);
    background-size: contain;
    height: 21px;
    width: 21px;
    padding-top: 2px;
    float: left;
    background-repeat: no-repeat;
}

.ddPendingMessageAttachmentUpload .ddGrid .IconUploadSuccess::before {
    content: "V ";
    color: transparent;
    margin-right: 5px;
    background-image: url(../../img/ProgressApproved.svg);
    background-size: contain;
    height: 21px;
    width: 21px;
    padding-top: 2px;
    float: left;
    background-repeat: no-repeat;
}

.ddPendingMessageAttachmentUpload .ddGrid .IconUploadFailure::before {
    content: "X ";
    color: transparent;
    margin-right: 5px;
    background-image: url(../../img/ProgressNotApproved.svg);
    background-size: contain;
    height: 21px;
    width: 21px;
    padding-top: 2px;
    float: left;
    background-repeat: no-repeat;
}

.ddPendingMessageAttachmentUpload .ddButtonContainer {
    margin-top:20px;
}

.ddPendingMessageAttachmentUpload .ddButtonContainer .k-button{
    width:100px;
}
/* Slutt Opplasting av vedlegg dialog */
/* Slutt Vedlegg dialog */

/* Ingen har leserettigheter dialog */
.ddSecurePopupNoAccessWindow.ddQuickRegContainer{
    padding:20px;
}
.ddSecurePopupNoAccessWindow.ddQuickRegContainer h2{
    margin-left:0;
    margin-top:-29px;
}

.ddSecurePopupNoAccessWindow .ddButtonContainer{
    float:left;
    margin-top:20px;
    width:100%;
}

.ddSecurePopupNoAccessWindow .ddButtonContainer button{
    margin-right:20px;
    background-color:#0e3a2e;
    color:#fff;
}
/* Slutt Ingen har leserettigheter dialog */
